%define api_version 1
%define lib_major   0
%define lib_name	%mklibname %{name}- %{api_version} %{lib_major}
%define develname %mklibname %{name}- %{api_version}  -d

Summary: Library used to monitor application startup
Name: startup-notification
Version: 0.9
Release: %mkrel 7
License: LGPL
Group: System/Libraries
URL: http://www.freedesktop.org/
Source0: http://www.freedesktop.org/software/%name/releases/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: X11-devel

%description
Startup-notification is a library used to monitor application startup.

%package -n %{lib_name}
Summary:	Library used to monitor application startup
Group:		%{group}
Provides:	lib%{name}-%{api_version} = %{version}-%{release}

%description -n %{lib_name}
Startup-notification is a library used to monitor application startup.

%package -n %develname
Summary:	Library used to monitor application startup
Group:		Development/C
Provides:	lib%{name}-%{api_version}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}
Obsoletes:  %mklibname %{name}- 1 0 -d

%description -n %develname
Startup-notification is a library used to monitor application startup.

%prep
%setup -q

%build
%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -p /sbin/ldconfig -n %{lib_name}
%endif

%if %mdkversion < 200900
%postun -p /sbin/ldconfig -n %{lib_name}
%endif

%files -n %{lib_name}
%defattr(-,root,root,-)
%doc ChangeLog 
%{_libdir}/*.so.*

%files -n %develname
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_includedir}/*




%changelog
* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9-7mdv2009.0
+ Revision: 225478
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9-6mdv2008.1
+ Revision: 179532
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 02 2007 Andreas Hasenack <andreas@mandriva.com> 0.9-5mdv2008.0
+ Revision: 47113
- fix wrong obsoletes (#31644)

* Wed Jun 27 2007 Andreas Hasenack <andreas@mandriva.com> 0.9-4mdv2008.0
+ Revision: 45151
- rebuild (-devel got lost somehow)

* Tue Jun 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.9-3mdv2008.0
+ Revision: 44462
- update buildrequires to new xorg

* Fri Jun 22 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.9-2mdv2008.0
+ Revision: 43087
- new devel library policy


* Sat Apr 07 2007 Götz Waschk <waschk@mandriva.org> 0.9-1mdv2007.1
+ Revision: 150956
- new version
- Import startup-notification

* Wed Sep 13 2006 Frederic Crozat <fcrozat@mandriva.com> 0.8-3mdv2007.0
- Rebuild

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.8-2mdk
- Rebuild

* Thu Dec 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-1mdk
- new source URL
- New release 0.8

* Fri Jun 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7-1mdk
- fix source url
- reenable libtoolize
- New release 0.7

